Session Playground

HEAD /pg/videos/{task_id}/content

Native access token · HEAD /pg/videos/{task_id}/content

使用原生登录 access_token(Authorization: Bearer)下载本人已完成视频的二进制内容,前端转为 Blob URL 播放;禁止把 access_token 拼入 URL 或直接交给无 Bearer 的 <video src>。

HEAD/pg/videos/{task_id}/content

Authorizations

Authorizationstringrequired

Use a native login access_token (required access: Native access token) with owner isolation and trusted browser Origin; generation writes use wallet billing while reads do not precharge; inference API Keys (sk-…) and PATs (nap_…) are rejected.

Authorization: Bearer $ONEASTER_ACCESS_TOKEN

Parameters

task_idstringrequired

path · 创建视频返回的公共任务 ID